package VorlesungsFolien.Verebung;

public class A {
	
	void f() {
		System.out.println("A");
	}
	
	public static void main(String[] args) {
		A a1 = new A();
		A a2 = new B();
		B b = new B();
		
		a1.f();
		// Ausgabe B: 
		// Das passiert aufgrund des Konzepts des Polymorphismus
		// Dies liegt am Prinzip der dynamischen Bindung
		a2.f();
	}
}

class B extends A {
	
	void f() {
		System.out.println("B");
	}
}